org.apache.xalan.xsltc.runtime

## Class Attributes

- java.lang.Object
- - org.apache.xalan.xsltc.runtime.Attributes

- All Implemented Interfaces:
    org.xml.sax.AttributeList

      public final class Attributes
      extends java.lang.Object
      implements org.xml.sax.AttributeList

  Author:
    Jacek Ambroziak, Santiago Pericas-Geertsen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attributes(DOM document, int element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()`
    `java.lang.String` | `getName(int i)`
    `java.lang.String` | `getType(int i)`
    `java.lang.String` | `getType(java.lang.String name)`
    `java.lang.String` | `getValue(int i)`
    `java.lang.String` | `getValue(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attributes

          public Attributes(DOM document,
                            int element)

  - ### Method Detail

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `org.xml.sax.AttributeList`

    - #### getName

          public java.lang.String getName(int i)

      Specified by:
        `getName` in interface `org.xml.sax.AttributeList`

    - #### getType

          public java.lang.String getType(int i)

      Specified by:
        `getType` in interface `org.xml.sax.AttributeList`

    - #### getType

          public java.lang.String getType(java.lang.String name)

      Specified by:
        `getType` in interface `org.xml.sax.AttributeList`

    - #### getValue

          public java.lang.String getValue(int i)

      Specified by:
        `getValue` in interface `org.xml.sax.AttributeList`

    - #### getValue

          public java.lang.String getValue(java.lang.String name)

      Specified by:
        `getValue` in interface `org.xml.sax.AttributeList`

Copyright © 2023 Apache XML Project. All Rights Reserved.